import { jsx as _jsx } from "react/jsx-runtime";
import MuiFormHelperText from '@mui/material/FormHelperText';
import { FormHelperTextContent } from './FormHelperTextContent';
export const FormHelperText = ({ children, success, error, hideHelperText = false, ...props }) => {
    if (hideHelperText && !children) {
        return null;
    }
    return (_jsx(MuiFormHelperText, { ...props, children: _jsx(FormHelperTextContent, { error: error, success: success, children: children }) }));
};
